Module_type_alias(3)

Name
Module_type_alias

Synopsis

Module Module_type_alias

Module Type Aliases

Documentation

module type A = sig
type a
end

module type B = sig

1.1 Parameters

module C : sig
type c
end

1.2 Signature

type b
end

module type D = A

module type E = sig

1.3 Parameters

module F : sig
type f
end

module C : sig
type c
end

1.4 Signature

type b
end

module type G = sig

1.5 Parameters

module H : sig
type h
end

1.6 Signature

type a
end

module type I = B